%define api 4
%define major 3
%define libname %mklibname musicbrainz %api %{major}
%define develname %mklibname -d musicbrainz %api

Name:		libmusicbrainz4
Version:	4.0.3
Release:	%mkrel 9
Summary:	A software library for accesing MusicBrainz servers
Source0:	http://ftp.musicbrainz.org/pub/musicbrainz/libmusicbrainz-%{version}.tar.gz
URL:		http://musicbrainz.org/doc/libmusicbrainz
Group:		System/Libraries
License:	LGPLv2+
BuildRequires:  cmake
BuildRequires:  libneon-devel

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %{libname}
Summary:	A software library for accesing MusicBrainz servers
Group:		System/Libraries

%description -n %{libname}
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %develname
Summary:	Headers for developing programs that will use libmusicbrainz
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%develname
This package contains the headers that programmers will need to develop
applications which will use libmusicbrainz.

%prep
%setup -qn libmusicbrainz-%{version}

%build
%setup_compile_flags
cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif

%make

%install
%makeinstall_std

%files -n %{libname}
%doc AUTHORS.txt COPYING.txt NEWS.txt
%{_libdir}/libmusicbrainz%{api}.so.%{major}{,.*}

%files -n %develname
%{_includedir}/musicbrainz%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/libmusicbrainz%{api}.pc


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 4.0.3-9.mga6
+ Revision: 939459
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.0.3-8.mga5
+ Revision: 743377
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.0.3-7.mga5
+ Revision: 726800
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.0.3-6.mga5
+ Revision: 681625
- Mageia 5 Mass Rebuild

* Fri Oct 25 2013 wally <wally> 4.0.3-5.mga5
+ Revision: 546935
- rebuild due to missing devel pkg

* Fri Oct 18 2013 umeabot <umeabot> 4.0.3-4.mga4
+ Revision: 507191
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.0.3-3.mga3
+ Revision: 357812
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 fwang <fwang> 4.0.3-2.mga3
+ Revision: 325073
- update rpm group
- rebuild for missing packages

* Mon Jun 04 2012 fwang <fwang> 4.0.3-1.mga3
+ Revision: 253907
- imported package libmusicbrainz4

